import { H3Event } from 'h3';
import Base from './base'

export type PollResponse = {
    id?: number; // Mã định danh
    siteId?: number; // Mã hệ thống
    pollId?: number; // Mã bình chọn
    optionId?: number; // Mã tùy chọn
    responderId?: number; // Mã người phản hồi
    responderInfo?: string; // Thông tin người phản hồi
    status?: number; // Trạng thái
}

export const create = async (event: H3Event) => {
    try {
        const { apiUrl } = useRuntimeConfig().public
        const payload = await readBody<any>(event)
        const { item }: any = await $fetch(`${apiUrl}/cms/poll-response`, {
            method: 'POST',
            headers: {
                site: 1
            },
            body: payload
        })

        return item

    } catch (error) {
        handleError(error);
    }
}

export const fetchByPollId = async (event: H3Event) => {
    try {

        const { apiUrl } = useRuntimeConfig().public
        const { pollId }: any = getQuery(event)
        const { items }: PollResponse[] | any = await $fetch(`${apiUrl}/cms/poll-response/poll:${pollId}`, {
            method: 'GET',
            headers: {
                site: 1
            }
        })

        return items

    } catch (error) {
        handleError(error);
    }
}